> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Pool

> Send multiple messages in a single request using a Global token for efficient batch messaging operations.



## OpenAPI

````yaml POST /send-message/pool
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/pool:
    post:
      tags:
        - Send Message
        - SendMessage
      description: >-
        Send multiple messages in a single request using a Global token for
        efficient batch messaging operations.
      operationId: sendMessage.sendPool
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoolMessageRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                        example: Failed to send pool message
                      pools:
                        type: string
                    required:
                      - success
                      - message
                      - pools
                  - type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                        example: OK
                      pools:
                        type: string
                    required:
                      - success
                      - message
                      - pools
                  - type: string
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    PoolMessageRequest:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID.
          example: xxx@c.us
        pools:
          type: array
          description: Pools.
          example:
            - type: text
              data:
                message: Checkout this image, its hilarious!
            - type: image
              data:
                caption: Do you think this is funny?
                file:
                  mimeType: image/png
                  filename: filename.png
                  url: https://avatars.githubusercontent.com/u/29356430?v=4
            - type: text
              data:
                message: Let me know your thoughts!
          items:
            type: object
            properties:
              type:
                type: string
                description: Pool type.
                enum:
                  - image
                  - text
                  - video
                  - file
                  - voice
              data:
                type: array
                description: Pool data.
                items:
                  type: string
            required:
              - type
              - data
      required:
        - contact_id
        - pools
      title: PoolMessageRequest
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````